## NMActiveConnection NMActiveConnection |

## Functions

GObject * | nm_active_connection_new ()
const char * | nm_active_connection_get_connection ()
const char * | nm_active_connection_get_uuid ()
const char * | nm_active_connection_get_specific_object ()
const GPtrArray * | nm_active_connection_get_devices ()
NMActiveConnectionState | nm_active_connection_get_state ()
gboolean | nm_active_connection_get_default ()
gboolean | nm_active_connection_get_default6 ()
const char * | nm_active_connection_get_master ()

## Properties

gchar * | connection | Read
gboolean | default | Read
gboolean | default6 | Read
NMObjectArray * | devices | Read
gchar * | master | Read
gchar * | specific-object | Read
guint | state | Read
gchar * | uuid | Read

## Types and Values

#define | NM_ACTIVE_CONNECTION_CONNECTION
#define | NM_ACTIVE_CONNECTION_UUID
#define | NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT
#define | NM_ACTIVE_CONNECTION_DEVICES
#define | NM_ACTIVE_CONNECTION_STATE
#define | NM_ACTIVE_CONNECTION_DEFAULT
#define | NM_ACTIVE_CONNECTION_DEFAULT6
#define | NM_ACTIVE_CONNECTION_MASTER

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMActiveConnection
                ╰── NMVPNConnection

## Description

## Functions

### nm_active_connection_new ()

    GObject *
    nm_active_connection_new (DBusGConnection *connection,
                              const char *path);

Creates a new NMActiveConnection.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new active connection.

[transfer full]

### nm_active_connection_get_connection ()

    const char *
    nm_active_connection_get_connection (NMActiveConnection *connection);

Gets the NMConnection's DBus object path.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the object path of the NMConnection inside of NMActiveConnection. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_uuid ()

    const char *
    nm_active_connection_get_uuid (NMActiveConnection *connection);

Gets the NMConnection's UUID.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the UUID of the NMConnection that backs the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_specific_object ()

    const char *
    nm_active_connection_get_specific_object
                                   (NMActiveConnection *connection);

Gets the "specific object" used at the activation.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the specific object's DBus path. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_devices ()

    const GPtrArray *
    nm_active_connection_get_devices (NMActiveConnection *connection);

Gets the NMDevices used for the active connections.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the GPtrArray containing NMDevices. This is the internal copy used by the connection, and must not be modified.

[element-type NMClient.Device]

### nm_active_connection_get_state ()

    NMActiveConnectionState
    nm_active_connection_get_state (NMActiveConnection *connection);

Gets the active connection's state.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the state

### nm_active_connection_get_default ()

    gboolean
    nm_active_connection_get_default (NMActiveConnection *connection);

Whether the active connection is the default IPv4 one (that is, is used for the default IPv4 route and DNS information).

#### Parameters

connection | a NMActiveConnection |

#### Returns

`TRUE` if the active connection is the default IPv4 connection

### nm_active_connection_get_default6 ()

    gboolean
    nm_active_connection_get_default6 (NMActiveConnection *connection);

Whether the active connection is the default IPv6 one (that is, is used for the default IPv6 route and DNS information).

#### Parameters

connection | a NMActiveConnection |

#### Returns

`TRUE` if the active connection is the default IPv6 connection

### nm_active_connection_get_master ()

    const char *
    nm_active_connection_get_master (NMActiveConnection *connection);

Gets the path to the master NMDevice of the connection.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the path of the master NMDevice of the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

## Types and Values

### NM_ACTIVE_CONNECTION_CONNECTION

    #define NM_ACTIVE_CONNECTION_CONNECTION          "connection"

### NM_ACTIVE_CONNECTION_UUID

    #define NM_ACTIVE_CONNECTION_UUID                "uuid"

### NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT

    #define NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT     "specific-object"

### NM_ACTIVE_CONNECTION_DEVICES

    #define NM_ACTIVE_CONNECTION_DEVICES             "devices"

### NM_ACTIVE_CONNECTION_STATE

    #define NM_ACTIVE_CONNECTION_STATE               "state"

### NM_ACTIVE_CONNECTION_DEFAULT

    #define NM_ACTIVE_CONNECTION_DEFAULT             "default"

### NM_ACTIVE_CONNECTION_DEFAULT6

    #define NM_ACTIVE_CONNECTION_DEFAULT6            "default6"

### NM_ACTIVE_CONNECTION_MASTER

    #define NM_ACTIVE_CONNECTION_MASTER              "master"

## Property Details

### The `“connection”` property

      “connection”               gchar *

Connection.

Flags: Read

Default value: NULL

### The `“default”` property

      “default”                  gboolean

Is the default IPv4 active connection.

Flags: Read

Default value: FALSE

### The `“default6”` property

      “default6”                 gboolean

Is the default IPv6 active connection.

Flags: Read

Default value: FALSE

### The `“devices”` property

      “devices”                  NMObjectArray *

Devices.

Flags: Read

### The `“master”` property

      “master”                   gchar *

Path of the master device.

Flags: Read

Default value: NULL

### The `“specific-object”` property

      “specific-object”          gchar *

Specific object.

Flags: Read

Default value: NULL

### The `“state”` property

      “state”                    guint

State.

Flags: Read

Allowed values: <= 3

Default value: 0

### The `“uuid”` property

      “uuid”                     gchar *

UUID.

Flags: Read

Default value: NULL